Support » Allgemeine Fragen » Footer Widget Warning

  • Gelöst flocke

    (@flocke)


    Hy,

    ich bekomme in meinem Dashboard bei Widgets immer folgende Fehlermeldung angezeigt:

    Warning: Undefined property: stdClass::$post_status in /var/www/********/html/wordpress/wp-admin/includes/misc.php on line 1433

    Ich kann deshalb keine Widgets in meinen Foot einsetzen.
    Kennt jemand das Problem?

    Liebe Grüße
    Flocke

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Ein Plugin oder Theme versucht auf die Eigenschaft eines PHP-Objects des WordPress-Core zuzugreifen, die nicht vorhanden ist. Du wirst deshalb auf ein Problem hingewiesen.
    Um den Fehler einzugrenzen, kannst du das Plugin Health Check installieren, aktivieren und unter Werkzeuge > Website-Zustand den Problembehandlungsmodus einschalten. Damit werden vorübergehend und nur für dich als angemeldeten Benutzer sichtbar alle Plugins deaktiviert und ein Standard-Theme aktiviert. Du kannst dann prüfen, ob der Fehler weiter auftritt und die Plugins und dein vorher genutztes Theme einzeln wieder aktivieren, um sie als Ursache auszuschließen.

    Möchtest du keine Fehlermeldungen angezeigt bekommen, kannst du in der Konfigurationsdatei wp-config.php den Debug-Modus durch die Zeile define( 'WP_DEBUG', false ); ausschalten. Damit werden aber keine Probleme behoben, sondern nur die Ausgabe unterdrückt.

    Nachtrag: Meine Antwort hat sich mit der Antwort von @bscu überschnitten. Bitte prüfe zuerst, ob du von dem Bug unter PHP8 betroffen bist.

    • Diese Antwort wurde geändert vor 1 Jahr, 7 Monaten von Bego Mario Garde. Grund: Nachtrag
    Thread-Ersteller flocke

    (@flocke)

    Ja, PHP 8.0 ist im Einsatz.
    Ich versuche den Tipp und gebe Bescheid.

    Thread-Ersteller flocke

    (@flocke)

    @bscu ich hab deinen Tipp befolgt.

    Die Fehlermeldung ist weg, aber ich kann dennoch kein „Text“ einfügen.
    Alles andere, z.B. Archive kann ich einfügen. Das ist ein bisschen komisch.

    Liebe Grüße
    Flocke

    Ich würde, wenn möglich, erst mal auf PHP 7.4.x zurückgehen. PHP 8 ist noch nicht so lange freigegeben, ob da alle Plugins sauber mit funktionieren, scheint etwas fraglich.

    Thread-Ersteller flocke

    (@flocke)

    Ok, Danke.
    Bin auf PHP7.4 zurück gegangen und nun geht es wieder.

    Vielen Dank.

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Das Thema „Footer Widget Warning“ ist für neue Antworten geschlossen.